Name:           fifi-free-release
Version:        %{fedora}
Release:        2%{?dist}
Summary:        Fifi (free) repository configuration

Group:          System Environment/Base
License:        BSD
Source0:	fifi-free.repo
Source30:       RPM-GPG-KEY-fifi-30
Source31:       RPM-GPG-KEY-fifi-31
Source32:       RPM-GPG-KEY-fifi-32
Source33:       RPM-GPG-KEY-fifi-33
Source34:       RPM-GPG-KEY-fifi-34

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
The Fifi repository contains mostly bugfixes and enhancements to Fedora and
RpmFusion packages.

This package contains the Fifi GPG key and Yum configuration files.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
for i in %{SOURCE30} \
	 %{SOURCE31} \
	 %{SOURCE32} \
	 %{SOURCE33} \
	 %{SOURCE34} \
	 ;
do
  install -m 644 $i $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/
done
ln -s RPM-GPG-KEY-fifi-%{fedora} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-fifi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}
%dir %{_sysconfdir}/pki
%{_sysconfdir}/pki/rpm-gpg
%dir %{_sysconfdir}/yum.repos.d
%config(noreplace) %{_sysconfdir}/yum.repos.d/fifi-free.repo

%changelog
* Sun Nov  1 2020 Philippe Troin <phil@fifi.org> - 32-2
- Add F34 GPG signing key.

* Fri May  1 2020 Philippe Troin <phil@fifi.org> - 32-1
- Drop F29 RPM GPG signing key.

* Fri May  1 2020 Philippe Troin <phil@fifi.org> - 31-2
- Add F33 RPM GPG signing key.

* Wed Oct 16 2019 Philippe Troin <phil@fifi.org> - 31-1
- Drop F28 RPM GPG signing key.

* Wed Oct 16 2019 Philippe Troin <phil@fifi.org> - 30-2
- Add F32 RPM GPG signing key.

* Thu May  2 2019 Philippe Troin <phil@fifi.org> - 30-1
- Drop F27 RPM GPG signing key.

* Wed May  1 2019 Philippe Troin <phil@fifi.org> - 29-2
- Add F31 RPM GPG signing key.

* Mon Nov 19 2018 Philippe Troin <phil@fifi.org> - 29-1
- Drop F26 RPM GPG signing key.

* Sun Nov 18 2018 Philippe Troin <phil@fifi.org> - 28-3
- Rekey the F29 RPM GPG signing key.

* Sun Nov 18 2018 Philippe Troin <phil@fifi.org> - 28-2
- Add F30 GPG signing key.

* Wed May  2 2018 Philippe Troin <phil@fifi.org> - 28-1
- Drop F25 key.

* Wed May  2 2018 Philippe Troin <phil@fifi.org> - 27-3
- Add F29 GPG key.

* Tue Jan 16 2018 Philippe Troin <phil@fifi.org> - 27-2
- Update the repo specifications with new keywords (repo_gpgcheck,
  type, metadata_expire).

* Fri Jan 12 2018 Philippe Troin <phil@fifi.org> - 27-1
- Drop F20, F21 and F22 keys.

* Thu Jan 11 2018 Philippe Troin <phil@fifi.org> - 25-6
- Add F27 and F28 GPG keys.

* Thu Jan  5 2017 Philippe Troin <phil@fifi.org> - 25-5
- Rekey F26 after a typo.

* Sat Dec 17 2016 Philippe Troin <phil@fifi.org> - 25-4
- Add keys for Fedora 25 and 26.

* Fri Apr 10 2015 Philippe Troin <phil@fifi.org> - 20-3
- Fix permissions on files.

* Tue Apr  7 2015 Philippe Troin <phil@fifi.org> - 20-2
- Provide Fedora 21 and 22 signing keys.

* Mon Feb  3 2014 Philippe Troin <phil@fifi.org> - 19-1
- Use the fedora macro in the version.
- Drop the priority from the .repo file.

* Mon Feb  3 2014 Philippe Troin <phil@fifi.org> - 2-2
- Use $releasever in the gpgkey repo parameter.

* Mon Feb  3 2014 Philippe Troin <phil@fifi.org> - 2-1
- Move to one key per release.

* Thu Feb 11 2010 Philippe Troin <phil@fifi.org> - 1-1
- Move debug to a subdir of the arch.
- Prevent any packages from being installed until the user changes the
  includepkgs line in .repo.

* Sun Jan  4 2009 Philippe Troin <phil@fifi.org> - 1-1
- Created.
